Bug 1410131 - DN normalization at import is replacing a set of spaces by only one space.
Summary: DN normalization at import is replacing a set of spaces by only one space.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 14:39 UTC by German Parente
Modified: 2020-02-14 18:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-19 00:26:44 UTC
Target Upstream Version:
ddas: needinfo+


Attachments (Terms of Use)

Description German Parente 2017-01-04 14:39:08 UTC
Description of problem:

This issue is similar to this bug fixed some time ago:

https://fedorahosted.org/389/ticket/48223

for winsync.

In this case DN normalization at import time is considering that, for instance,
these two dn's are duplicated:

================================
dn: cn=user nuevo,ou=people,o=redhat
objectclass: inetorgperson
cn: user nuevo
sn: usernuevo
userpassword: user49

dn: cn=user  nuevo,ou=people,o=redhat
objectclass: inetorgperson
cn: user  nuevo
sn: us
userpassword: user49
================================

errors:

[04/Jan/2017:15:02:50.356169698 +0100] entryrdn-index - _entryrdn_insert_key: Same DN (dn: cn=user nuevo,ou=people,o=redhat) is already in the entryrdn file with different ID 53.  Expected ID is 54.
[04/Jan/2017:15:02:50.399342349 +0100] import userRoot: Duplicated DN detected: "cn=user nuevo,ou=people,o=redhat": Entry ID: (54)


To reproduce, just import both entries in the same ldif file.

not sure if this is, in fact a feature (it does not seem to me from rfc4514) or if fixing this could break something else.

If this is not corresponding or too risky, let's close this.

Thanks.

German.

Comment 4 Noriko Hosoi 2017-01-04 18:35:41 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/49077


Note You need to log in before you can comment on or make changes to this bug.